# 
# spec file for package sca-patterns-hae
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category HAE

Name:         sca-patterns-hae
Version:      1.3
Release:      1.1
Summary:      Supportconfig Analysis Patterns for HAE
License:      GPL-2.0
URL:          https://github.com/g23guy/sca-patterns-hae
Group:        System/Monitoring
Source:       %{name}-%{version}.tar.gz
BuildRequires: fdupes
Requires:     sca-patterns-base
Buildarch:    noarch

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of High Availability Extension (HAE)
clustering

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -m %{mode} patterns/HAE/* %{buildroot}/%{patdir}/%{category}
%fdupes %{buildroot}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/*

%changelog
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
* Fri Jun  2 2017 jason.record@suse.com
- Added security patterns (bsc#1042514)
* Tue Feb 23 2016 jrecord@suse.com
- Updated patterns (bsc#953203)
* Thu Apr  2 2015 jrecord@suse.com
- Fixed ocfs2-00004.pl false ro hit (bnc#921627)
* Wed Jun 18 2014 jrecord@suse.com
- New Patterns
  bindnetaddr-7015225.py
  mcastport-7015225.py
  corosync-7015215.py
* Wed Jun  4 2014 jrecord@suse.com
- Moved from SLE to HAE category
- Moved pattern structure to HAE only
* Thu May 15 2014 jrecord@suse.com
- Fixed argument isn't numeric in stop-00001.pl
* Wed Apr 23 2014 jrecord@suse.com
- Fixed haesbd-00004.pl false mismatch on UUID (bnc#867828)
* Fri Mar 21 2014 jrecord@suse.com
- Fixed spec file macro
* Thu Mar 20 2014 jrecord@suse.com
- Removed duplicates with fdupes
- Fixed FSF address in all patterns
- Change to System/Monitoring spec Group
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
* Fri Jan 31 2014 jrecord@suse.com
- includes pertinent patterns from sca-patterns-basic
- moved patterns from own directory to SLE structure
* Thu Jan 16 2014 jrecord@suse.com
- relocated files according to FHS
* Fri Dec 20 2013 jrecord@suse.com
- separated as individual RPM package
